# Visualization
TKV3d
Graphic3d

# Graphic3d_ArrayOfTriangles Class Reference

`#include <Graphic3d_ArrayOfTriangles.hxx>`

Inheritance diagram for Graphic3d_ArrayOfTriangles:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_ArrayOfTriangles (const Standard_Integer maxVertexs, const Standard_Integer maxEdges=0, const Standard_Boolean hasVNormals=Standard_False, const Standard_Boolean hasVColors=Standard_False, const Standard_Boolean hasTexels=Standard_False, const Standard_Boolean hasEdgeInfos=Standard_False)

Creates an array of triangles,
a triangle can be filled as:
1) creating a set of triangles defined with his vertexs.
i.e:
myArray = Graphic3d_ArrayOfTriangles(6)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x6,y6,z6)
3) creating a set of indexed triangles defined with his vertex
ans edges.
i.e:
myArray = Graphic3d_ArrayOfTriangles(4,6)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x4,y4,z4)
myArray->AddEdge(1)
myArray->AddEdge(2)
myArray->AddEdge(3)
myArray->AddEdge(2)
myArray->AddEdge(3)
myArray->AddEdge(4)
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_ArrayOfTriangles::Graphic3d_ArrayOfTriangles | ( | const Standard_Integer | maxVertexs,
|  | const Standard_Integer | maxEdges = `0`,
|  | const Standard_Boolean | hasVNormals = `Standard_False`,
|  | const Standard_Boolean | hasVColors = `Standard_False`,
|  | const Standard_Boolean | hasTexels = `Standard_False`,
|  | const Standard_Boolean | hasEdgeInfos = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_ArrayOfTriangles::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_ArrayOfPrimitives.

The documentation for this class was generated from the following file:

- Graphic3d_ArrayOfTriangles.hxx